Main Page Class Hierarchy Compound List File List Compound Members File Members

# CMFCDialogAppBase Class Reference

`#include <mfc_dlog_app_base.h>`

Inheritance diagram for CMFCDialogAppBase:

List of all members.

## Public Member Functions
| CMFCDialogAppBase ()
virtual BOOL | InitInstance ()
virtual UINT | StartWorkerThread ()
## Protected Member Functions
virtual bool | PrepApp (const char *p_configfilename)
bool | ParseCommandFile (LPTSTR p_filename)
virtual bool | InitApp ()
virtual CWnd * | GetMainWindow ()=0
virtual void | OpenMainDialog ()=0
virtual char * | GetApplicationName ()=0
## Protected Attributes
bool | Running
int | LoggingLevel

## Constructor & Destructor Documentation

CMFCDialogAppBase::CMFCDialogAppBase | ( |  | ) |

| Definition at line 61 of file mfc_dlog_app_base.cpp. References LoggingLevel.

## Member Function Documentation

virtual char* CMFCDialogAppBase::GetApplicationName | ( |  | ) | `[protected, pure virtual]`

| Referenced by InitInstance().

virtual CWnd* CMFCDialogAppBase::GetMainWindow | ( |  | ) | `[protected, pure virtual]`

| Referenced by InitInstance(), and CMFCDialogModuleBase::StatusAndReadLoop().

virtual bool CMFCDialogAppBase::InitApp | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in CMFCDialogModuleBase. Definition at line 100 of file mfc_dlog_app_base.h. Referenced by InitInstance().

BOOL CMFCDialogAppBase::InitInstance | ( |  | ) | `[virtual]`

| Definition at line 75 of file mfc_dlog_app_base.cpp. References TLogger::Close(), FALSE, GetApplicationName(), GetMainWindow(), InitApp(), TLogger::Logit(), OpenMainDialog(), ParseCommandFile(), PrepApp(), Running, and TLogger::TruncateOnOpen().

virtual void CMFCDialogAppBase::OpenMainDialog | ( |  | ) | `[protected, pure virtual]`

| Referenced by InitInstance().

bool CMFCDialogAppBase::ParseCommandFile | ( | LPTSTR | p_filename | ) | `[protected]`

| Definition at line 146 of file mfc_dlog_app_base.cpp. References COMFILE_EOF, COMFILE_ERROR, TConfigurable::HandleConfigLine(), HANDLER_UNUSED, TConfigurable::IsReady(), TLogger::Logit(), ConfigSource::NextToken(), TComFileParser::Open(), and TComFileParser::ReadLine(). Referenced by InitInstance().

virtual bool CMFCDialogAppBase::PrepApp | ( | const char * | p_configfilename | ) | `[inline, protected, virtual]`

| Reimplemented in CMFCDialogModuleBase. Definition at line 86 of file mfc_dlog_app_base.h. Referenced by InitInstance().

virtual UINT CMFCDialogAppBase::StartWorkerThread | ( |  | ) | `[inline, virtual]`

| Reimplemented in CMFCDialogModuleBase. Definition at line 154 of file mfc_dlog_app_base.h. Referenced by StartMFCWorkerThread().

## Member Data Documentation

int CMFCDialogAppBase::LoggingLevel`[protected]`

| Definition at line 75 of file mfc_dlog_app_base.h. Referenced by CMFCDialogModuleBase::CheckConfig(), CMFCDialogAppBase(), CMFCDialogModuleBase::PrepApp(), and CMFCDialogModuleBase::SendStatus().

bool CMFCDialogAppBase::Running`[protected]`

| Definition at line 73 of file mfc_dlog_app_base.h. Referenced by InitInstance(), CMFCDialogModuleBase::SendStatus(), and CMFCDialogModuleBase::StatusAndReadLoop().

The documentation for this class was generated from the following files:

- mfc_dlog_app_base.h
- mfc_dlog_app_base.cpp